Bug 155099 - ANY USB device prevents ACPI shutdown from working.
ANY USB device prevents ACPI shutdown from working.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-16 04:18 EDT by Richard Tresidder
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DSDT output via iasl (123.89 KB, text/plain)
2005-08-06 04:02 EDT, Richard Tresidder
no flags Details

  None (edit)
Description Richard Tresidder 2005-04-16 04:18:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20041001 Firefox/0.10.1

Description of problem:
Hi
I'm having this problem with a newly built system.
MSI 915P combo board
Tried all latest kernels available through up2date aswell

The system is told to shut down.. Using ACPI and fails at the final call
ACPI_POWER_OFF Called
The system does not power down at this point and must be manually shut down

Interesting thing is that if there is no usb mouse plugged in then the system
will power off correctly.
However if the mouse is in then the system just pauses at the called
ACPI_POWER_OFF statement

This is a follow on from bug 132761... as this has been closed in FC2.
but it effects all versions.  I was unable to change the status of that bug as I was not the owner..



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select Shutdown
2.
3.
  

Actual Results:  Does not poweroff

Expected Results:  poweroff...

Additional info:

This is a follow on from bug 132761
Comment 1 Dave Jones 2005-04-16 15:22:56 EDT
the usb mouse datapoint is interesting.  Pete, any ideas ?
Comment 2 Richard Tresidder 2005-04-17 23:19:36 EDT
Hi
   Just to clarify the usb problem a bit, I tested other devices independantly
to see if it was just a usb mouse problem.
It appears that if ANY usb device is attached to the system then this problem
occurs.
Also if the mouse or usb flash device etc is removed prior to shutdown then the
power will turn off.
I have read that M$ had simliar problems when there were still un cancelled
requests in the USB host controller. But there are other possible causes aswell...
Comment 3 Dave Jones 2005-07-15 15:51:16 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Richard Tresidder 2005-07-18 20:59:31 EDT
I'll give this a try on the weekend..
sorry the system is in use during the week, can't exactly be shutting it down
right now
Cheers
   Richard
Comment 5 Richard Tresidder 2005-07-30 13:11:22 EDT
ok..
finally got the latest kernel to install and get running...
mkinitrd needed updating for latest kernel but wasn't part of update
requirments... naughty naughty red hat...
After much stuffing round (re mkinitrd stuff) and getting kernel sources built
to allow compiling of nvidia drivers and network drivers etc. I have a system
running again.
I'll try rebooting again in the morning to test usb stuff.
1am and I'm buggered.
Comment 6 Richard Tresidder 2005-08-06 03:51:16 EDT
This is still a problem in the latest fedora kernel 2.6.12-1.1372_FC3smp

I also believe that this may be similar to some other bugs 
ie 160775
it might be an idea to get those people to try shutting down without any USB
devices attached to see if it then shuts down.

If no usb devices are attached then the system does shut off..

with USB devices attached powerdown is displayed.. hdd spin down..
ACPI_POWER_OFF statement is shown but then system needs to be manually powered off.

The motherboard is an MSI 915P combo
Comment 7 Richard Tresidder 2005-08-06 04:02:02 EDT
Created attachment 117506 [details]
DSDT output via iasl

This is an output of the dsdt table for this motherboard retireved via acpidump
and iasl
Comment 8 Richard Tresidder 2005-08-06 04:03:39 EDT
also lspci:
00:00.0 Host bridge: Intel Corp. 915G/P/GV Processor to I/O Controller (rev 04)
00:01.0 PCI bridge: Intel Corp. 915G/P/GV PCI Express Root Port (rev 04)
00:1b.0 Class 0403: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express
Port 1 (rev 03)
00:1d.0 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI
#1 (rev 03)
00:1d.1 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI
#2 (rev 03)
00:1d.2 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI
#3 (rev 03)
00:1d.3 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI
#4 (rev 03)
00:1d.7 USB Controller: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2
EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corp. 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge
(rev 03)
00:1f.1 IDE interface: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.2 IDE interface: Intel Corp. 82801FB/FW (ICH6/ICH6W) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller
(rev 03)
01:00.0 VGA compatible controller: nVidia Corporation: Unknown device 0141 (rev a2)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS)
03:00.0 Ethernet controller: Marvell Technology Group Ltd. Marvell Yukon 88E8053
Gigabit Ethernet 10/100/1000Base-T Adapter (rev 15)
Comment 9 Dave Jones 2006-01-16 17:28:45 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 10 Richard Tresidder 2006-01-18 07:37:50 EST
I'm afraid I don't have another system at the moment to upgrade to FC4 I will
work on getting a new drive to do a temporary install of FC4 maybe FC5 to see if
this bug still exists.

I can say however that the latest FC3 kernel 2.6.12-1.1381_FC3smp still exibits
this bug.
I'd also like to reiterate that it doesn't matter what kind of USB device is
plugged in, any USB device attached to the system when the computer shuts down
will prevent power down

I did some test on this kernel to determine exactly what happens in the final
stages of shutdown

Disks sync
Disks powerdown
Keyboard and Mouse (on PS2 jacks) powerdown
acpi_power_off is shown

system does not power off
The graphics and CPU etc continue to run.

Non SMP kernel does the same thing

If there are no USB devices attached to the system then it will power off correctly

There are a few other ACPI poweroff bugs floating around at the moment.
It might be an idea to get those people to try removing all USB devices an see
if their systems will power down.  If the keyboard is USB issue a poweroff
command and then unplug the keyboard, this still works.

I'll see what I can do about getting the latest FC5 tests and giving them a go
on this machine.  But I'm extremely busy this week / weekend and this computer
can't be down for to long

Thanks
    Richard
Comment 11 Dave Jones 2006-02-03 01:46:07 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 12 John Thacker 2006-05-04 09:41:01 EDT
Closing per previous comment.
Comment 13 Richard Tresidder 2006-05-04 09:50:11 EDT
hmm yes my bad
I'm afraid I went on leave for a bit and this slipped my mind.
Leave this closed for now, I will attempt to do an FC5 kernel / installed on
this system some time soon and see if the problem persists, if it does I will
reopen the bug. My apologies.

Richard

Note You need to log in before you can comment on or make changes to this bug.